Show / Hide Table of Contents

# Class OpenIddictEntityFrameworkCoreCustomizer<TApplication, TAuthorization, TScope, TToken, TKey>

Represents a model customizer able to register the entity sets required by the OpenIddict stack in an Entity Framework Core context.

##### Inheritance

System.Object
OpenIddictEntityFrameworkCoreCustomizer<TApplication, TAuthorization, TScope, TToken, TKey>

###### Namespace: OpenIddict.EntityFrameworkCore

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictEntityFrameworkCoreCustomizer<TApplication, TAuthorization, TScope, TToken, TKey> : RelationalModelCustomizer where TApplication : OpenIddictEntityFrameworkCoreApplication<TKey, TAuthorization, TToken> where TAuthorization : OpenIddictEntityFrameworkCoreAuthorization<TKey, TApplication, TToken> where TScope : OpenIddictEntityFrameworkCoreScope<TKey> where TToken : OpenIddictEntityFrameworkCoreToken<TKey, TApplication, TAuthorization> where TKey : IEquatable<TKey>

##### Type Parameters

Name | Description
--- | ---
TApplication |
TAuthorization |
TScope |
TToken |
TKey |

### Constructors

#### OpenIddictEntityFrameworkCoreCustomizer(ModelCustomizerDependencies)

##### Declaration

    public OpenIddictEntityFrameworkCoreCustomizer(ModelCustomizerDependencies dependencies)

##### Parameters

Type | Name | Description
--- | --- | ---
ModelCustomizerDependencies | dependencies |

### Methods

#### Customize(ModelBuilder, DbContext)

##### Declaration

    public override void Customize(ModelBuilder modelBuilder, DbContext context)

##### Parameters

Type | Name | Description
--- | --- | ---
ModelBuilder | modelBuilder |
DbContext | context |